NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ThroughCurveMeshBuilder Class Reference

Represents a NXOpen.Features.ThroughCurveMesh builder. More...

Inheritance diagram for NXOpen.Features.ThroughCurveMeshBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BodyPreferenceTypes { Solid, Sheet }
 This enum represents the body type option. More...
 
enum  ConstructionMethod { Normal, SplinePoints, Simple }
 This enum represents the Construction options. More...
 
enum  EmphasisType { Both, Primary, Cross }
 This enum represents the Emphasis options. More...
 

Properties

unsafe
NXOpen.Features.ThroughCurveMeshBuilder.BodyPreferenceTypes 
BodyPreference [get, set]
 Returns or sets the body type options More...
 
unsafe
NXOpen.Features.ThroughCurveMeshBuilder.ConstructionMethod 
Construction [get, set]
 Returns or sets the construction options. More...
 
unsafe NXOpen.SectionList CrossCurvesList [get]
 Returns the cross curves list which is required. More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
CrossSurfaceRebuildData [get]
 Returns the cross surface rebuild data, NXOpen.GeometricUtilities.Rebuild . More...
 
unsafe NXOpen.Section CrossTemplateString [get]
 Returns the cross template curve. More...
 
unsafe double CurvatureTolerance [get, set]
 Returns or sets the curvature tolerance. More...
 
unsafe
NXOpen.Features.ThroughCurveMeshBuilder.EmphasisType 
Emphasis [get, set]
 Returns or sets the emphasis options. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
FirstCrossContinuity [get]
 Returns the first cross continuity, NXOpen.GeometricUtilities.Continuity . More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
FirstPrimaryContinuity [get]
 Returns the first primary continuity, NXOpen.GeometricUtilities.Continuity . More...
 
unsafe double IntersectionTolerance [get, set]
 Returns or sets the intersection tolerance. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
LastCrossContinuity [get]
 Returns the last cross continuity, NXOpen.GeometricUtilities.Continuity . More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
LastPrimaryContinuity [get]
 Returns the last primary continuity, NXOpen.GeometricUtilities.Continuity . More...
 
unsafe double PositionTolerance [get, set]
 Returns or sets the position tolerance. More...
 
unsafe NXOpen.SectionList PrimaryCurvesList [get]
 Returns the primary curves list which is required. More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
PrimarySurfaceRebuildData [get]
 Returns the primary surface rebuild data, NXOpen.GeometricUtilities.Rebuild . More...
 
unsafe NXOpen.Section PrimaryTemplateString [get]
 Returns the primary template curve. More...
 
unsafe NXOpen.Section Spine [get]
 Returns the spine. More...
 
unsafe double TangentTolerance [get, set]
 Returns or sets the tangent tolerance. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ThroughCurveMesh builder.

Let you create a body from a collection of existing curve outlines (known as strings) running in two different directions.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateThroughCurveMeshBuilder

Default values.

Property Value

Construction

Normal

CrossSurfaceRebuildData.RebuildType

None

CurvatureTolerance

0.5

Emphasis

Both

FirstCrossContinuity.ContinuityType

G0

FirstPrimaryContinuity.ContinuityType

G0

IntersectionTolerance

0.02

LastCrossContinuity.ContinuityType

G0

LastPrimaryContinuity.ContinuityType

G0

PositionTolerance

0.0254 (millimeters part), 0.001 (inches part)

PrimarySurfaceRebuildData.RebuildType

None

TangentTolerance

0.5

Created in NX5.0.0

Member Enumeration Documentation

This enum represents the body type option.

If sections are all closed, if possible then a solid body can be created.

Enumerator
Solid 

Solid

Sheet 

Sheet

This enum represents the Construction options.

Enumerator
Normal 

Use the standard procedures.

SplinePoints 

Use the points and tangent values at the points for reparameterizing curves.

Simple 

Build the simplest curve mesh surface possible.

This enum represents the Emphasis options.

Enumerator
Both 

Emphasis on both primary and cross strings.

Primary 

Emphasis on primary strings.

Cross 

Emphasis on cross strings.

Property Documentation

unsafe NXOpen.Features.ThroughCurveMeshBuilder.BodyPreferenceTypes NXOpen.Features.ThroughCurveMeshBuilder.BodyPreference
getset

Returns or sets the body type options

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Features.ThroughCurveMeshBuilder.ConstructionMethod NXOpen.Features.ThroughCurveMeshBuilder.Construction
getset

Returns or sets the construction options.

Use one of three construction options when you create a Through Curve Mesh feature: Normal, Use Spline Points, and Simple.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.SectionList NXOpen.Features.ThroughCurveMeshBuilder.CrossCurvesList
get

Returns the cross curves list which is required.

They should all be roughly parallel and run in approximately one direction. A point could be selected as the first and/or last primary string.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.ThroughCurveMeshBuilder.CrossSurfaceRebuildData
get

Returns the cross surface rebuild data, NXOpen.GeometricUtilities.Rebuild .

Redefine the degree and knot points of the cross strings to build a surface that joins smoothly with surrounding surfaces. It is only available for the Normal Construction option.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Section NXOpen.Features.ThroughCurveMeshBuilder.CrossTemplateString
get

Returns the cross template curve.

Control the building of the simple surface in cross curve direction. It is only available when the construction method is simple. If you leave it empty, the system will automatically choose the most complicated one for fitting.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.ThroughCurveMeshBuilder.CurvatureTolerance
getset

Returns or sets the curvature tolerance.

Control the curvature tolerance of the rebuild surface in relation to the input curves.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Features.ThroughCurveMeshBuilder.EmphasisType NXOpen.Features.ThroughCurveMeshBuilder.Emphasis
getset

Returns or sets the emphasis options.

Allow you to tell the system which set of strings will have the most effect on the created surface in both location and shape.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.ThroughCurveMeshBuilder.FirstCrossContinuity
get

Returns the first cross continuity, NXOpen.GeometricUtilities.Continuity .

Define continuity constraint at the first cross sections side. It contains the continuity type and the constraint face.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.ThroughCurveMeshBuilder.FirstPrimaryContinuity
get

Returns the first primary continuity, NXOpen.GeometricUtilities.Continuity .

Define continuity constraint at the first primary sections side. It contains the continuity type and the constraint face.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.ThroughCurveMeshBuilder.IntersectionTolerance
getset

Returns or sets the intersection tolerance.

Define how far the primary strings and cross strings can deviate from each other.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.ThroughCurveMeshBuilder.LastCrossContinuity
get

Returns the last cross continuity, NXOpen.GeometricUtilities.Continuity .

Define continuity constraint at the first cross sections side. It contains the continuity type and the constraint face.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.ThroughCurveMeshBuilder.LastPrimaryContinuity
get

Returns the last primary continuity, NXOpen.GeometricUtilities.Continuity .

Define continuity constraint at the last primary sections side. It contains the continuity type and the constraint face.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.ThroughCurveMeshBuilder.PositionTolerance
getset

Returns or sets the position tolerance.

Control the distance accuracy of the rebuild surface in relation to the input curves.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.SectionList NXOpen.Features.ThroughCurveMeshBuilder.PrimaryCurvesList
get

Returns the primary curves list which is required.

They should all be roughly parallel and run in approximately one direction. A point could be selected as the first and/or last primary string.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.ThroughCurveMeshBuilder.PrimarySurfaceRebuildData
get

Returns the primary surface rebuild data, NXOpen.GeometricUtilities.Rebuild .

Redefine the degree and knot points of the primary strings to build a surface that joins smoothly with surrounding surfaces. It is only available for the Normal Construction option.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Section NXOpen.Features.ThroughCurveMeshBuilder.PrimaryTemplateString
get

Returns the primary template curve.

Control the building of the simple surface in primary curve direction. It is only available when the construction method is simple. If you leave it empty, the system will automatically choose the most complicated one for fitting.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Section NXOpen.Features.ThroughCurveMeshBuilder.Spine
get

Returns the spine.

Control the parameterization of the cross strings. It is valid only if both the first and last primary strings are planar and this spine string is perpendicular to the first and last primary strings

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.ThroughCurveMeshBuilder.TangentTolerance
getset

Returns or sets the tangent tolerance.

Control the angle accuracy of the rebuild surface in relation to the input curves.It is expressed in degree.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.